Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.rmi.CORBA
Interface UtilDelegate

public interface UtilDelegate

Supports delegation for method implementations in `Util`. The delegate is a singleton instance of a class that implements this interface and provides a replacement implementation for all the methods of `javax.rmi.CORBA.Util`. Delegation is enabled by providing the delegate's class name as the value of the `javax.rmi.CORBA.UtilClass` system property.

See Also:
  `Util`

Method Summary
`Object` | `copyObject(Object obj, ORB orb)` Delegation call for `Util.copyObject(java.lang.Object, org.omg.CORBA.ORB)`.
`Object[]` | `copyObjects(Object[] obj, ORB orb)` Delegation call for `Util.copyObjects(java.lang.Object[], org.omg.CORBA.ORB)`.
`ValueHandler` | `createValueHandler()` Delegation call for `Util.createValueHandler()`.
`String` | `getCodebase(Class clz)` Delegation call for `Util.getCodebase(java.lang.Class)`.
`Tie` | `getTie(Remote target)` Delegation call for `Util.getTie(java.rmi.Remote)`.
`boolean` | `isLocal(Stub stub)` Delegation call for `Util.isLocal(javax.rmi.CORBA.Stub)`.
`Class` | `loadClass(String className, String remoteCodebase, ClassLoader loader)` Delegation call for `Util.loadClass(java.lang.String, java.lang.String, java.lang.ClassLoader)`.
`RemoteException` | `mapSystemException(SystemException ex)` Delegation call for `Util.mapSystemException(org.omg.CORBA.SystemException)`.
`Object` | `readAny(InputStream in)` Delegation call for `Util.readAny(org.omg.CORBA.portable.InputStream)`.
`void` | `registerTarget(Tie tie, Remote target)` Delegation call for `Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)`.
`void` | `unexportObject(Remote target)` Delegation call for `Util.unexportObject(java.rmi.Remote)`.
`RemoteException` | `wrapException(Throwable obj)` Delegation call for `Util.wrapException(java.lang.Throwable)`.
`void` | `writeAbstractObject(OutputStream out, Object obj)` Delegation call for `Util.writeAbstractObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.
`void` | `writeAny(OutputStream out, Object obj)` Delegation call for `Util.writeAny(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.
`void` | `writeRemoteObject(OutputStream out, Object obj)` Delegation call for `Util.writeRemoteObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.

Method Detail

### mapSystemException

    public RemoteException mapSystemException(SystemException ex)

  Delegation call for `Util.mapSystemException(org.omg.CORBA.SystemException)`.

### writeAny

    public void writeAny(OutputStream out,
                         Object obj)

  Delegation call for `Util.writeAny(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.

### readAny

    public Object readAny(InputStream in)

  Delegation call for `Util.readAny(org.omg.CORBA.portable.InputStream)`.

### writeRemoteObject

    public void writeRemoteObject(OutputStream out,
                                  Object obj)

  Delegation call for `Util.writeRemoteObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.

### writeAbstractObject

    public void writeAbstractObject(OutputStream out,
                                    Object obj)

  Delegation call for `Util.writeAbstractObject(org.omg.CORBA.portable.OutputStream, java.lang.Object)`.

### registerTarget

    public void registerTarget(Tie tie,
                               Remote target)

  Delegation call for `Util.registerTarget(javax.rmi.CORBA.Tie, java.rmi.Remote)`.

### unexportObject

    public void unexportObject(Remote target)

  Delegation call for `Util.unexportObject(java.rmi.Remote)`.

### getTie

    public Tie getTie(Remote target)

  Delegation call for `Util.getTie(java.rmi.Remote)`.

### createValueHandler

    public ValueHandler createValueHandler()

  Delegation call for `Util.createValueHandler()`.

### getCodebase

    public String getCodebase(Class clz)

  Delegation call for `Util.getCodebase(java.lang.Class)`.

### loadClass

    public Class loadClass(String className,
                           String remoteCodebase,
                           ClassLoader loader)
                    throws ClassNotFoundException

  Delegation call for `Util.loadClass(java.lang.String, java.lang.String, java.lang.ClassLoader)`.

### isLocal

    public boolean isLocal(Stub stub)
                    throws RemoteException

  Delegation call for `Util.isLocal(javax.rmi.CORBA.Stub)`.

### wrapException

    public RemoteException wrapException(Throwable obj)

  Delegation call for `Util.wrapException(java.lang.Throwable)`.

### copyObject

    public Object copyObject(Object obj,
                             ORB orb)
                      throws RemoteException

  Delegation call for `Util.copyObject(java.lang.Object, org.omg.CORBA.ORB)`.

### copyObjects

    public Object[] copyObjects(Object[] obj,
                                ORB orb)
                         throws RemoteException

  Delegation call for `Util.copyObjects(java.lang.Object[], org.omg.CORBA.ORB)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.